com.microfocus.awm.meta.modelextension

## Class IconExtension

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.IconExtension

-     public class IconExtension
      extends ModelExtensionObject

  Icon model extension.
  Author:
    RalfP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IconExtension(java.lang.String pId, java.lang.String pLabel, java.lang.String pCategory, FunctionPackageExtension pFunctionPackage, java.net.URL pIcon, java.net.URL pIconDisabled)` Creates a new icon model extension.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCategory()` Gets the category of the icon extension.
    `java.net.URL` | `getIcon()` Gets the image URL.
    `java.net.URL` | `getIconDisabled()` The URL for the disabled image.

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IconExtension

          public IconExtension(java.lang.String pId,
                               java.lang.String pLabel,
                               java.lang.String pCategory,
                               FunctionPackageExtension pFunctionPackage,
                               java.net.URL pIcon,
                               java.net.URL pIconDisabled)

      Creates a new icon model extension.
      Parameters:
        `pId` - the model extension ID
        `pLabel` - the icon label
        `pCategory` - the icon category for the model editor (can be `null`)
        `pFunctionPackage` - the corresponding function package extension
        `pIcon` - the image URL
        `pIconDisabled` - the disabled image URL (can be `null`)

  - ### Method Detail

    - #### getIcon

          public java.net.URL getIcon()

      Gets the image URL.
      Returns:
        the image URL.

    - #### getIconDisabled

          public java.net.URL getIconDisabled()

      The URL for the disabled image. Can be `null`, since the disabled image is optional for icons.
      Returns:
        the URL of the disabled image or `null`

    - #### getCategory

          public java.lang.String getCategory()

      Gets the category of the icon extension.
      Returns:
        the category (can be `null`)

Copyright © 2015 Micro Focus GmbH. All rights reserved.